> ## Documentation Index
> Fetch the complete documentation index at: https://agent-observability-docs.splunk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Signal Feedback

> Read the current user's assessment of one Signal.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json get /v2/projects/{project_id}/runs/{run_id}/signals/{signal_id}/feedback
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/runs/{run_id}/signals/{signal_id}/feedback:
    get:
      tags:
        - signals-v2
      summary: Get Signal Feedback
      description: Read the current user's assessment of one Signal.
      operationId: >-
        get_signal_feedback_v2_projects__project_id__runs__run_id__signals__signal_id__feedback_get
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
        - name: signal_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Signal Id
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Run Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignalFeedbackResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - ClassicAPIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    SignalFeedbackResponse:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/SignalFeedbackDetail'
            - type: 'null'
      additionalProperties: false
      type: object
      required:
        - data
      title: SignalFeedbackResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SignalFeedbackDetail:
      properties:
        rating:
          $ref: '#/components/schemas/SignalFeedbackRating'
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
        recorded_at:
          type: string
          format: date-time
          title: Recorded At
      additionalProperties: false
      type: object
      required:
        - rating
        - comment
        - recorded_at
      title: SignalFeedbackDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SignalFeedbackRating:
      type: string
      enum:
        - USEFUL
        - NOT_USEFUL
      title: SignalFeedbackRating
      description: User assessment of a Signal or remediation.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    ClassicAPIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.